import { ChangeDetectorRef, OnDestroy } from '@angular/core';
import { SkyThemeService } from '@skyux/theme';
import { SkyProgressIndicatorItemStatus } from '../types/progress-indicator-item-status';
import * as i0 from "@angular/core";
/**
 * Specifies the content to display in the status marker.
 * @internal
 */
export declare class SkyProgressIndicatorStatusMarkerComponent implements OnDestroy {
    #private;
    set displayMode(value: 'vertical' | 'horizontal');
    get displayMode(): 'vertical' | 'horizontal';
    set status(value: SkyProgressIndicatorItemStatus);
    get status(): SkyProgressIndicatorItemStatus;
    isComplete: boolean;
    constructor(changeDetector: ChangeDetectorRef, themeSvc?: SkyThemeService);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkyProgressIndicatorStatusMarkerComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SkyProgressIndicatorStatusMarkerComponent, "sky-progress-indicator-status-marker", never, { "displayMode": { "alias": "displayMode"; "required": false; }; "status": { "alias": "status"; "required": false; }; }, {}, never, never, false, never>;
}
